classification
Title: modernize mingw&cygwin compiler classes
Type: enhancement Stage: resolved
Components: Build, Cross-Build, Distutils Versions: Python 3.4
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: eric.araujo, eudoxos, r.david.murray, rpetrov, steve.dower, tarek
Priority: normal Keywords: patch

Created on 2013-08-04 13:05 by rpetrov, last changed 2021-02-03 18:26 by steve.dower. This issue is now closed.

Files
File name Uploaded Description Edit
modernize-mingw+cygwin-compiler-class.tar.gz rpetrov, 2013-08-04 13:04
0011-MINGW-compiler-customize-mingw-cygwin-compilers.patch rpetrov, 2013-08-04 13:18 compiler customization
modernize-mingw+cygwin-compiler-class.tar.gz rpetrov, 2013-10-13 08:40 version 2013-10-01
0011-MINGW-compiler-customize-mingw-cygwin-compilers.patch rpetrov, 2013-10-13 08:41 version 2013-10-01
0011-MINGW-compiler-customize-mingw-cygwin-compilers.patch rpetrov, 2014-08-03 06:06 version 2014-08-02
Messages (5)
msg194363 - (view) Author: Roumen Petrov (rpetrov) * Date: 2013-08-04 13:04
Python mingw and cygwin compiler classes tests for outdated features. Also python code set some flags like zero optimization level and etc. that prevent users to build optimized python or even worse build to fail.

This issue is part of split of issue3871 with clean-up and enhancements:
- archive contain set of 10 patches - remove of outdated (15 years old !!!!) features one by one.
- enhance unix compiler customization with mingw and cygwin compilers
msg194367 - (view) Author: Roumen Petrov (rpetrov) * Date: 2013-08-04 13:18
Proposed customization allow users to build extension module for windows with GNU compiler in all environments:
- native with installed official build of python for windows
- native either MSYS or CYGWIN enviroment and python build with GCC
- cross-build in cygwin using official build of python for windows
- cross-build in cygwin or linux with use of preset configuration from distribution
- cross-build in linux and cross build python with GCC

In addition patch allow user to build (native or cross) core modules with recent gnu compilers.
msg241499 - (view) Author: Václav Šmilauer (eudoxos) * Date: 2015-04-19 08:45
Ping? Roumen has been updaing the patch for one year and no reaction. Is there something which can be done?
msg241539 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2015-04-19 18:57
Find someone from the packaging sig willing to review it, maybe?  As in, get on that mailing list and ask.
msg386385 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-02-03 18:26
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-02-03 18:26:27steve.dowersetstatus: open -> closed

nosy: + steve.dower
messages: + msg386385

resolution: out of date
stage: resolved
2015-04-19 18:57:45r.david.murraysetnosy: + r.david.murray
messages: + msg241539
2015-04-19 08:45:56eudoxossetnosy: + eudoxos
messages: + msg241499
2014-08-03 06:07:00rpetrovsetfiles: + 0011-MINGW-compiler-customize-mingw-cygwin-compilers.patch
2013-10-13 08:41:25rpetrovsetfiles: + 0011-MINGW-compiler-customize-mingw-cygwin-compilers.patch
2013-10-13 08:40:46rpetrovsetfiles: + modernize-mingw+cygwin-compiler-class.tar.gz
2013-08-04 13:18:24rpetrovsetfiles: + 0011-MINGW-compiler-customize-mingw-cygwin-compilers.patch
keywords: + patch
messages: + msg194367
2013-08-04 13:05:00rpetrovcreate